Willkommen Gast.
Um die volle Funktionalität des Forums nutzen zu können,
müssen Sie sich einloggen oder registrieren.
Haben Sie Ihre Aktivierungs E-Mail übersehen?

 
Erweiterte Suche

31.109 Beiträge in 6.474 Themen- von 6.477 Mitglieder - Neuestes Mitglied: Frideborg

20-11-2019 00:03:30
JOOM::GALLERY::FORUMArchivJoomGallery 1.5 MVCInstallationGelöste Themen: InstallationA. Installation 1.5.6.2 schlägt fehl ?? B.Zu wenig Speicher
Seiten: [1]
Drucken
Autor Thema: A. Installation 1.5.6.2 schlägt fehl ?? B.Zu wenig Speicher  (Gelesen 6349 mal)
0 Mitglieder und 1 Gast betrachten dieses Thema.
Berni
Newbie
*
Offline Offline

Beiträge: 4


« am: 06-01-2011 11:59:28 »

Provider : www.revido.de   (zeigt an, daß PHP 4 und 5 installiert sei)

Habe Joomla 1.5.22 installiert,
und dann Phoca Gästebuch
danach wollte ich Joomgallery 1.5.6.1 installieren  => untenstehender Fehler
stellte heute fest, daß es eine aktuellere Version gibt
nun wollte ich aktuelle Joomgallery 1.5.6.2 installieren  => untenstehender Fehler

(-)
        * JoomGallery needs at least PHP5 to run smoothly.
        * Komponenten Installieren: Custom install routine failure

Nachricht
        * Komponenten-Installation fehlerhaft!

Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279
Notice: Undefined variable: stepval in /var/www/web930/html/libraries/joomla/installer/installer.php on line 279

JoomGallery 1.5 is a native Joomla! 1.5.x gallery component
 Shocked
Kann mir jemand wieterhelfen oder muß ich hier andere bildergalerie installieren ?

in der früheren Homepage-Installation bei demselben Provider
mit älterer Joomla und Joomgallery hat es schon mal funktioniert .

TIA Berni
« Letzte Änderung: 13-01-2011 22:22:16 von Berni » Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #1 am: 06-01-2011 12:11:04 »

Hi,

wie die Meldung sagt, benötigt die Galerie PHP5. Die PHP-Dateien auf deinem Server werden im Moment wahrscheinlich von PHP4 geparst.

Du kannst im Backend unter 'Hilfe' -> 'Systeminfo' überprüfen, welche PHP-Version gerade aktiv ist.

Hier kannst du nachlesen, wie du bei deinem Provider auf PHP5 umstellen kannst.

Überprüfe im Backend bitte auch, ob in PHP bei dir der Safe-Mode aktiviert ist. Dies könnte ebenfalls zu Problemen führen.

Gruß
Chraneco


Gespeichert

Der Sprecher
patbe60
Newbie
*
Offline Offline

Beiträge: 1


« Antworten #2 am: 06-01-2011 13:27:06 »

Das Autoupdate muss fehlerhaft sein. Nach der Installation erhalte ich eine 500 Fehlermeldung. In den Verzeichnissen (com_joomgallery, Frontend und Backend) fehlen die meisten Dateien. Das Update funktioniert nur mit der zip Datei.

Gruss Patrik
Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #3 am: 06-01-2011 13:59:06 »

Hi,

ich denke nicht, dass das Auto-Update fehlerhaft ist, es liegt wahrscheinlich an der Konfiguration deines Servers.

Hast du die PHP-Version und den Safe-Mode überprüft?

Gruß
Chraneco
Gespeichert

Der Sprecher
Berni
Newbie
*
Offline Offline

Beiträge: 4


« Antworten #4 am: 06-01-2011 14:42:24 »

PHP-Version ist:    4.4.9-0.dotdeb.1

shit - habe die erst jetzt gefunden...
jetzt geht die Eierei mit dem provider wieder los...
---
habe die .htaccess editiert. und die 2 Zeilen eingefügt.
dann war in der Joomla Info die Version 5.x.x  !  (?) !

Installation funktionierte dann auch erst mal

JoomGallery 1.5 is a native Joomla! 1.5.x gallery component
JoomGallery was installed successfully.
You may now start using JoomGallery or download specific language files afore:
Start now!
Languages

ABER:

Languages …=>
Fatal error: Allowed memory size of 16777216 bytes exhausted (tried to allocate 122880 bytes) in /var/www/web930/html/libraries/phpgacl/gacl_api.php on line 3706
Hatte schon mal in der alten Installation Probleme mit Joomla, wenn ich Menüpunkte der alten Installation aufrief.
Diese Fehlermeldung kommt auch bei Start Now!

Wat NU ? Roll Eyes sm_cry   Angry
-----

http://juliusbeckmann.de/blog/php-memory-limit-erhohen.html

habe in htaccess reingesetzt :
"php_value memory_limit 32M"       ohne '"'
Es ging gar nichts mehr error 500 ...
----
http://unter.strom.bz/83/fatal-error-allowed-memory-size-of-bytes-exhausted/
Programmierfehler ?? Shocked
 sm_no

TNX
Berni
« Letzte Änderung: 07-01-2011 17:35:56 von Berni » Gespeichert
torontohh
Newbie
*
Offline Offline

Beiträge: 15


« Antworten #5 am: 06-01-2011 15:29:01 »

Hallo,
auch bei mir verhaut mir das autoupdate auf 1.562 die galerie. ich er ahlte folgende meldung.

        * JInstaller::install: Die Datei „/homepages/21/d193968974/htdocs/leurotest/administrator/components/com_joomgallery/temp/update4/joomgallery.xml“ existiert nicht!
        * Komponenten Installieren: Die Installationsdatei konnte nicht kopiert werden!

Wenn ich nun zur Galerie klicke bekomme ich den Fehler:   404 - Komponente nicht gefunden! Die Seite kann nicht angezeigt werden, weil:

Ich probiere das Update mit der *.zip Datei

Wat nu?

Gruß Rolf
Gespeichert
torontohh
Newbie
*
Offline Offline

Beiträge: 15


« Antworten #6 am: 06-01-2011 21:46:08 »

nach zip update ging es scheinbar.
es sind aber keine bilder mehr upzuloaden.
warum wird etwas das geht immer kaputt upgedatet. schrott

wer kennt eine galerie die geht?
 gruß rolf
Gespeichert
Chraneco
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 4.066



« Antworten #7 am: 06-01-2011 22:48:20 »

Hi,

du könntest die PhocaGallery ausprobieren, ob sie besser funktioniert, kann ich nicht sagen.

Welche Fehlermeldung wird denn angezeigt?

Gruß
Chraneco
Gespeichert

Der Sprecher
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #8 am: 07-01-2011 17:37:44 »

Hallo,
@berni: Frage bitte Deinen Hoster, ob das php 'memory_limit' auf 64MB geändert werden kann.
Vielleicht ist dies auch über eine Erweiterung der .htaccess möglich.

Gruß
Andreas
Gespeichert
Berni
Newbie
*
Offline Offline

Beiträge: 4


« Antworten #9 am: 11-01-2011 16:54:14 »

Hallo,
1.    ".htaccess" - Eintrag verursachte Fehler 500 - es ging gar nichts mehr

2.    Memory-erweiterung in php.ini  kann ich nicht selber machen, provider will 15,- € berechnen.

3.    ini_set('memory_limit', '32M');

      Wo genau kann ich diesen Eintrag machen, ? auch in einer php-Datei der Joomgallery ? wo ? wie ? kann bisher kein PHP

TIA
Berni     
Gespeichert
aHa
Entwickler-Team
Hero Member
*****
Offline Offline

Beiträge: 2.367


WWW
« Antworten #10 am: 11-01-2011 19:51:36 »

Hallo,
1.    ".htaccess" - Eintrag verursachte Fehler 500 - es ging gar nichts mehr
Das verstehe ich, der Eintrag unter 3) ist auch eine PHP-Direktive, die nicht erfolgreich sein muss.
Ich kenne einen Hoster, der diese Zeile ermöglicht:
Code:
php_value memory_limit 64M
Das aber auch nur unter bestimmten Bedingungen.
Wahrscheinlich wird es bei Dir auch nicht funktionieren.

Zitat
2.    Memory-erweiterung in php.ini  kann ich nicht selber machen, provider will 15,- € berechnen.
Das spricht dafür, dass Du selbst keine Veränderungen vornehmen kannst. Zu dem Preis sage ich mal nichts.

Zitat
3.    ini_set('memory_limit', '32M');

      Wo genau kann ich diesen Eintrag machen, ? auch in einer php-Datei der Joomgallery ? wo ? wie ? kann bisher kein PHP
Wenn überhaupt in einer PHP-Datei, z.B. in der index.php des templates. Das habe ich aber nie ausprobiert.

Zitat
TIA
Berni    
Nach TIA musste ich googlen sm_wink

CU
Viel Erfolg
Andreas
Gespeichert
Berni
Newbie
*
Offline Offline

Beiträge: 4


« Antworten #11 am: 13-01-2011 22:19:53 »

Habe es ausprobiert:
in der administrator/index.php und in der normalen index.php
sofort am Anfang nach der Eröffnung

<?php

ini_set('memory_limit','32M');
...
und es funktioniert bisher.

TNX   -  vielen Dank  Grin

Berni
Gespeichert
Seiten: [1]
Drucken
Gehe zu:  

HOSTED BY SCHWARZKÜNSTLER ®

PROTECTED BY  ZB BLOCK  AND Project Honey Pot
Theme orange-lt created by panic

Bad Behavior has blocked 5090 access attempts in the last 7 days.

mouth